be.fgov.ehealth.etee.ra.aqdr._1_0.protocol

## Class LegalPerson

- java.lang.Object
- - be.fgov.ehealth.etee.ra.aqdr._1_0.protocol.LegalPerson

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:58:05+01:00",
                 comments="JAXB RI v2.2.11")
      public class LegalPerson
      extends Object
      implements Serializable

  Java class for LegalPerson complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="LegalPerson">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Organization" maxOccurs="unbounded">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="NameFr" type="{http://www.w3.org/2001/XMLSchema}string"/>
                         <element name="NameNl" type="{http://www.w3.org/2001/XMLSchema}string"/>
                         <element name="Identifier">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence>
                                   <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
                                   <element name="ID" type="{http://www.w3.org/2001/XMLSchema}string"/>
                                 </sequence>
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="AAOrganizationAuth" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegalPerson()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getAAOrganizationAuth()` Gets the value of the aaOrganizationAuth property.
    `List<Organization>` | `getOrganizations()` Gets the value of the organizations property.
    `void` | `setAAOrganizationAuth(byte[] value)` Sets the value of the aaOrganizationAuth property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegalPerson

          public LegalPerson()

  - ### Method Detail

    - #### getOrganizations

          public List<Organization> getOrganizations()

      Gets the value of the organizations property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the organizations property.

      For example, to add a new item, do as follows:

              getOrganizations().add(newItem);

      Objects of the following type(s) are allowed in the list `Organization`

    - #### getAAOrganizationAuth

          public byte[] getAAOrganizationAuth()

      Gets the value of the aaOrganizationAuth property.
      Returns:
        possible object is byte[]

    - #### setAAOrganizationAuth

          public void setAAOrganizationAuth(byte[] value)

      Sets the value of the aaOrganizationAuth property.
      Parameters:
        `value` - allowed object is byte[]

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.